<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="260dp"
    android:layout_height="match_parent"
    android:background="@drawable/xml_background_worldbutton">

    <TextView
        android:id="@+id/worldbutton_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_centerHorizontal="true"
        android:text="@string/world_button_title_placeholder"
        android:textColor="#ff2200"
        android:textSize="30sp"
        android:textStyle="bold|italic"/>

    <ImageView
        android:id="@+id/worldbutton_preview"
        android:layout_height="wrap_content"
        android:layout_below="@+id/worldbutton_title"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="10dp"
        android:adjustViewBounds="true"
        android:src="@drawable/previews_grass"
        android:layout_width="150dp"/>

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_alignParentEnd="true"
        android:layout_alignParentLeft="true"
        android:layout_alignParentRight="true"
        android:layout_alignParentStart="true">

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true">

            <ImageView
                android:id="@+id/worldbutton_tickView"
                android:layout_width="30sp"
                android:layout_height="30sp"
                android:layout_alignParentStart="true"
                android:src="@drawable/tick"/>

            <TextView
                android:id="@+id/worldbutton_levelcount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/world_button_progress_placeholder"
                android:textSize="20sp"
                android:textStyle="bold"
                android:layout_centerVertical="true"
                android:layout_toRightOf="@+id/worldbutton_tickView"
                android:layout_toEndOf="@+id/worldbutton_tickView"
                android:layout_marginRight="10dp"/>

            <ImageView
                android:id="@+id/levelbutton_starView"
                android:layout_width="30sp"
                android:layout_height="30sp"
                android:layout_centerVertical="true"
                android:layout_toRightOf="@+id/worldbutton_levelcount"
                android:layout_toEndOf="@+id/worldbutton_levelcount"
                android:src="@drawable/currency_star"/>

            <TextView
                android:id="@+id/worldbutton_starcount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@+id/levelbutton_starView"
                android:layout_toRightOf="@+id/levelbutton_starView"
                android:text="@string/world_button_progress_placeholder"
                android:textSize="20sp"
                android:textStyle="bold"
                android:layout_marginRight="10dp"/>

            <TextView
                android:id="@+id/worldbutton_energycount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@+id/imageView4"
                android:layout_toRightOf="@+id/imageView4"
                android:text="@string/world_button_progress_placeholder"
                android:textSize="20sp"
                android:textStyle="bold"/>

            <ImageView
                android:id="@+id/imageView4"
                android:layout_width="30sp"
                android:layout_height="30sp"
                android:layout_centerVertical="true"
                android:layout_toEndOf="@+id/worldbutton_starcount"
                android:layout_toRightOf="@+id/worldbutton_starcount"
                android:src="@drawable/currency_energy"/>

        </RelativeLayout>
    </RelativeLayout>

    <ImageView
        android:id="@+id/worldbutton_lock"
        android:layout_width="150dp"
        android:layout_height="150dp"
        android:src="@drawable/lock_locked"
        android:visibility="visible"
        android:layout_alignBottom="@+id/worldbutton_preview"
        android:layout_alignLeft="@+id/worldbutton_preview"
        android:layout_alignStart="@+id/worldbutton_preview"/>

</RelativeLayout>